---
- hosts: "{{ awx_webhook_payload.data.device.name }}"
  connection: network_cli
  gather_facts: false
  become: true
  vars:
    ansible_network_os: ios
    ansible_host_key_checking: false
    ansible_password: "{{ lookup('ansible.builtin.env', 'ansible_password') }}"

    
  tasks:

    - name: default interface config
      ios_config:
        lines:
            - default interface {{ awx_webhook_payload.data.name }}

    - name: Configure interface description speed and duplex
      ios_config:
        src: base_interface_description_speed_duplex.j2

    - name: Configure vlan
      ios_config:
        src: base_interface_switchport_vlan.j2

    - name: Configure nac profile
      ios_config:
        lines:
            - dot1x pae authenticator
            - dot1x timeout tx-period 4
            - authentication control-direction in
            - authentication order dot1x mab
            - authentication priority dot1x mab
            - authentication port-control auto
            - authentication periodic
            - authentication timer reauthenticate server
            - mab
            - authentication event server dead action authorize vlan {{ awx_webhook_payload.data.custom_fields.access_vlan }}
            - authentication event server alive action reinitialize
            - no vtp
        parents: '{{ item }}'
      with_items:
        - "interface {{ awx_webhook_payload.data.name }}"
      
    - name: Configure stp
      ios_config:
        src: base_interface_stp.j2
    
    - name: Configure interface status
      ios_config:
        src: base_interface_status.j2
